
import { _decorator, Component, Node, AudioClip, AudioSource, find, tween, UIOpacity } from 'cc';
const { ccclass, property } = _decorator;

/**
 * Predefined variables
 * Name = NewComponent
 * DateTime = Tue Jan 11 2022 10:12:44 GMT+0800 (中国标准时间)
 * Author = Koei
 * FileBasename = NewComponent.ts
 * FileBasenameNoExtension = NewComponent
 * URL = db://assets/NewComponent.ts
 * ManualUrl = https://docs.cocos.com/creator/3.4/manual/zh/
 *
 */

@ccclass('NewComponent')
export class NewComponent extends Component {
    // [1]
    // dummy = '';

    
    @property(AudioClip)
    BGAudio: AudioClip = null;

    @property(AudioSource)
    BGAudiosource: AudioSource = null;

    @property(AudioClip)
    EFAudio1: AudioClip = null;

    @property(AudioSource)
    EFAudiosource1: AudioSource = null;

    @property(AudioClip)
    EFAudio2: AudioClip = null;

    @property(AudioSource)
    EFAudiosource2: AudioSource = null;

    @property(AudioClip)
    EFAudio3: AudioClip = null;

    @property(AudioSource)
    EFAudiosource3: AudioSource = null;

    start() {
        // [3]
        // this.audiosource.clip = this.audio;
        // this.audiosource.volume = 0.8;
        // this.audiosource.loop = true;
        // this.audiosource.play();
        // let node = find('Canvas/Sprite');
        // node.on(Node.EventType.ACTIVE_IN_HIERARCHY_CHANGED, () => {
        //     console.log('activeInHierarchy: ',node.activeInHierarchy);
        //     console.log(node);
        // })

        // this.schedule(() => {
        //     node.active = !node.active;
        // }, 2)
        this.BGAudiosource.clip = this.BGAudio;
        this.BGAudiosource.loop = true;
        this.BGAudiosource.play();
    }

    playEffect1(){
        this.EFAudiosource1.playOneShot(this.EFAudio1);
    }

    playEffect2(){
        this.EFAudiosource2.playOneShot(this.EFAudio2);
        
    }

    playEffect3(){
        this.EFAudiosource3.playOneShot(this.EFAudio3);
        
    }
    // update (deltaTime: number) {
    //     // [4]
    // }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.4/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.4/manual/zh/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.4/manual/zh/scripting/life-cycle-callbacks.html
 */
